// Aluno.cpp: implementation of the Aluno class.
//
//////////////////////////////////////////////////////////////////////

//#include "stdafx.h"
#include "Aluno.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Aluno::Aluno()
{
	strcpy( mpr_matricula, MAT_INVALIDA );
	strcpy( mpr_nome, "" );
	strcpy( mpr_endereco, "" );
	mpr_periodo = 0;
}

Aluno::~Aluno()
{

}

const char * Aluno::getMatricula (void) const
{
	return mpr_matricula;
}

const char * Aluno::getNome (void) const
{
	return mpr_nome;
}

const char * Aluno::getEndereco (void) const
{
	return mpr_endereco;
}

const int Aluno::getPeriodo (void) const
{
	return mpr_periodo;
}

void Aluno::setMatricula (const char * _matricula)
{
	strncpy( mpr_matricula, _matricula, COMPRIMENTO_MAT);
	mpr_matricula[COMPRIMENTO_MAT] = '\0';
}

void Aluno::setNome (const char * _nome)
{
	strncpy( mpr_nome, _nome, COMPRIMENTO_NOME);
	mpr_nome[COMPRIMENTO_NOME] = '\0';
}

void Aluno::setEndereco (const char * _endereco)
{
	strncpy( mpr_endereco, _endereco, COMPRIMENTO_END);
	mpr_endereco[COMPRIMENTO_END] = '\0';
}

void Aluno::setPeriodo (const int & _periodo)
{
	mpr_periodo = _periodo;
}

const string Aluno::toString (void) const
{
	char buffer[10];

	if ( strcmp( mpr_matricula, MAT_INVALIDA ) == 0 )
		return "";

	string s (mpr_matricula);
	s += " ";
	s += mpr_nome;
	s += " ";
	s += mpr_endereco;
	s += " ";
	s += itoa (mpr_periodo, buffer, 10);

	return s;
}

