// Aluno.h: interface for the Aluno class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_ALUNO_H__)
#define _ALUNO_H__

#include <string>

#define MAT_INVALIDA "ZZZZZZZ"

#define NUM_SLOTS			3

const int COMPRIMENTO_MAT = 7;
const int COMPRIMENTO_NOME = 32;
const int COMPRIMENTO_END = 32;

using namespace std;

class Aluno  
{
public:
	Aluno();
	virtual ~Aluno();

	const char *
	getMatricula (void) const;

	const char *
	getNome (void) const;

	const char *
	getEndereco (void) const;

	const int
	getPeriodo (void) const;

	void
	setMatricula (const char * );

	void
	setNome (const char *);

	void
	setEndereco (const char *);

	void
	setPeriodo (const int &);

	const string
	toString (void) const;

protected:
	
	char		mpr_matricula[COMPRIMENTO_MAT+1];
	char		mpr_nome[COMPRIMENTO_NOME+1];
	char		mpr_endereco[COMPRIMENTO_END+1];
	int			mpr_periodo;
};

#endif // !defined(_ALUNO_H__)
